ModelSell 文档
视频系列Wan 视频

查询 Wan 3.0 原生任务

GET
/api/v1/tasks/{task_id}

使用 ModelSell 创建响应中的公共 task_id 查询 Wan 3.0 任务。原生状态为 PENDINGRUNNINGSUCCEEDEDFAILEDCANCELEDUNKNOWN

成功时从 output.video_url 读取视频地址,并从 usage 读取输入与输出时长、帧率、分辨率和画面比例。建议每 15 秒轮询一次;上游任务和结果链接有效期为 24 小时。

Authorization

bearerAuth
AuthorizationBearer <token>

使用 Authorization Bearer API Key 进行鉴权。

In: header

Path Parameters

task_id*string

视频生成任务 ID。

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/tasks/task_123456"

{
  "request_id": "request_xxxxxxxxxxxxxxxx",
  "output": {
    "task_id": "task_xxxxxxxxxxxxxxxx",
    "task_status": "SUCCEEDED",
    "submit_time": "2026-08-06 10:01:35.452",
    "scheduled_time": "2026-08-06 10:01:35.507",
    "end_time": "2026-08-06 10:13:33.838",
    "orig_prompt": "一只小猫在月光下的屋顶上奔跑",
    "video_url": "https://example.com/wan3-result.mp4"
  },
  "usage": {
    "video_count": 1,
    "duration": 5,
    "input_video_duration": 0,
    "output_video_duration": 5,
    "fps": 30,
    "SR": 720,
    "ratio": "16:9"
  }
}

{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}